Bug 246812 - devel/gwenhywfar Update to 5.3.0 (Work in Progress)
Summary: devel/gwenhywfar Update to 5.3.0 (Work in Progress)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-28 16:20 UTC by Jens Grassel
Modified: 2020-06-30 07:26 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jhale)


Attachments
WIP: Patch to update devel/gwenhywfar to 5.3.0 (2.87 KB, patch)
2020-05-28 16:20 UTC, Jens Grassel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Grassel 2020-05-28 16:20:43 UTC
Created attachment 214979 [details]
WIP: Patch to update devel/gwenhywfar to 5.3.0

Hi,

I am currently trying to make a patch that will update the devel/gwenhywfar port and the subports to the latest version (5.3.0). However I run into two problems (see below).
Maybe someone with more experience (my C/C++ is a bit rusty) can shed a light on what might be a solution?

1. gwenhywfar-fox16 does not compile

error message:
<---snip--->
===>  Building for gwenhywfar-fox16-5.3.0
gmake[1]: Entering directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-fox16/work/gwenhywfar-5.3.0/gui'
Making all in testdialogs
gmake[2]: Entering directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-fox16/work/gwenhywfar-5.3.0/gui/testdialogs'
gmake[2]: Nothing to be done for 'all'.
gmake[2]: Leaving directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-fox16/work/gwenhywfar-5.3.0/gui/testdialogs'
Making all in fox16
gmake[2]: Entering directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-fox16/work/gwenhywfar-5.3.0/gui/fox16'
/bin/sh ../../libtool  --tag=CXX   --mode=link c++  -O2 -pipe -fno-strict-aliasing -fstack-protector-strong  -Wall -Wall -Wall  -L/usr/local/lib -lintl  -fstack-protector-strong  -o libtest libtest.o libgwengui-fox16.la /usr/local/lib -lgwenhywfar -lgwengui-cpp ./../testdialogs/libgwengui-test.la 
libtool: link: c++ -O2 -pipe -fno-strict-aliasing -fstack-protector-strong -Wall -Wall -Wall -fstack-protector-strong -o .libs/libtest libtest.o /usr/local/lib  -L/usr/local/lib ./.libs/libgwengui-fox16.so -lgwengui-cpp ./../testdialogs/.libs/libgwengui-test.a -lintl -lgwenhywfar -Wl,-rpath -Wl,/usr/local/lib
ld: error: /usr/local/lib:1: unknown directive: 
>>> ���*�
>>> ^
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [Makefile:622: libtest] Error 1
gmake[2]: Leaving directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-fox16/work/gwenhywfar-5.3.0/gui/fox16'
gmake[1]: *** [Makefile:501: all-recursive] Error 1
gmake[1]: Leaving directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-fox16/work/gwenhywfar-5.3.0/gui'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-fox16
<---snip--->

2. gwenhywfar-qt5 does not compile

error message:
<---snip--->
===>  Building for gwenhywfar-qt5-5.3.0
gmake[1]: Entering directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui'
Making all in testdialogs
gmake[2]: Entering directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui/testdialogs'
gmake[2]: Nothing to be done for 'all'.
gmake[2]: Leaving directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui/testdialogs'
Making all in qt5
gmake[2]: Entering directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui/qt5'
gmake  all-am
gmake[3]: Entering directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui/qt5'
/bin/sh ../../libtool  --tag=CXX   --mode=link c++  -O2 -pipe -fno-strict-aliasing -fstack-protector-strong  -Wall -Wall -Wall  -L/usr/local/lib -lintl  -fstack-protector-strong  -o libtest libtest.o libgwengui-qt5.la -lgwenhywfar -L/usr/local/lib -L/usr/local/lib/qt5 -lQt5Widgets /usr/local/lib/qt5/libQt5Gui.so -lQt5Gui /usr/local/lib/qt5/libQt5Core.so -lQt5Core -lkvm -lprocstat -lGL  -lgwengui-cpp ./../testdialogs/libgwengui-test.la 
libtool: link: c++ -O2 -pipe -fno-strict-aliasing -fstack-protector-strong -Wall -Wall -Wall -fstack-protector-strong -o .libs/libtest libtest.o /usr/local/lib/qt5/libQt5Gui.so /usr/local/lib/qt5/libQt5Core.so  -L/usr/local/lib ./.libs/libgwengui-qt5.so -L/usr/local/lib/qt5 -lQt5Widgets -lQt5Gui -lQt5Core -lkvm -lprocstat -lGL -lgwengui-cpp ./../testdialogs/.libs/libgwengui-test.a -lintl -lgwenhywfar -Wl,-rpath -Wl,/usr/local/lib
ld: error: ./.libs/libgwengui-qt5.so: undefined reference to CppGui::getPassword(unsigned int, char const*, char const*, char const*, char*, int, int, GWEN_GUI_PASSWORD_METHOD, GWEN_DB_NODE*, unsigned int)
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[3]: *** [Makefile:655: libtest] Error 1
gmake[3]: Leaving directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui/qt5'
gmake[2]: *** [Makefile:566: all] Error 2
gmake[2]: Leaving directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui/qt5'
gmake[1]: *** [Makefile:501: all-recursive] Error 1
gmake[1]: Leaving directory '/usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5/work/gwenhywfar-5.3.0/gui'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/home/jens/Code/freebsd-ports/devel/gwenhywfar-qt5
<---snip--->

Kind regards,

Jens
Comment 1 commit-hook freebsd_committer 2020-06-29 16:27:40 UTC
A commit references this bug:

Author: jhale
Date: Mon Jun 29 16:26:59 UTC 2020
New revision: 540811
URL: https://svnweb.freebsd.org/changeset/ports/540811

Log:
  Update devel/gwenhywfar to 5.3.0 [1]
  Update finance/aqbanking to 6.2.1
  Fix gwenhywfar dependency in finance/gnucash

  PR:		246812 [1]
  Reported by:	Jens Grassel <freebsd-ports@jan0sch.de> [1]

Changes:
  head/devel/gwenhywfar/Makefile
  head/devel/gwenhywfar/distinfo
  head/devel/gwenhywfar/files/patch-configure
  head/devel/gwenhywfar/pkg-descr
  head/devel/gwenhywfar/pkg-plist
  head/devel/gwenhywfar-fox16/pkg-plist
  head/devel/gwenhywfar-gtk2/pkg-plist
  head/devel/gwenhywfar-gtk3/pkg-plist
  head/devel/gwenhywfar-qt5/pkg-plist
  head/finance/aqbanking/Makefile
  head/finance/aqbanking/distinfo
  head/finance/aqbanking/pkg-plist
  head/finance/gnucash/Makefile
  head/finance/gnucash/pkg-plist
Comment 2 Jason E. Hale freebsd_committer 2020-06-29 16:31:16 UTC
I have updated devel/gwenhywfar to 5.3.0 and finance/aqbanking to 6.2.1.
Thank you for your effort and sorry it took so long.
Comment 3 Jens Grassel 2020-06-30 07:26:03 UTC
Thank you very much!